Subject: [nvo3] PM-DIR Review for draft-ietf-nvo3-framework-06.txt

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 28 May 2014 12:56:00 +0000

This is the PM-DIR review for draft-ietf-nvo3-framework-06.txt. I am the assigned PM-DIR reviewer for this I-D. This review refers only to performance metrics aspects

This I-D defines a framework for Network Virtualization Overlays (NVO3) and a reference model along with logical components required to design a NVO3 solution.

The I-D does not define performance metrics, so a RFC 6390 review does not apply.

Performance metrics are mentioned in one place in the document, in section 5.2.6 which deals with the interaction between overlays and underlays and the need to exchange information about performance in order to ensure that the overlays requirements can be met by the underlay paths. The metrics that are mentioned as examples belong to the IP metrics category (throughput, delay, loss, jitter). Mentioning the IPPM framework and even the relevant RFCs would have helped, especially as there is a need for standard and stable definitions and methods of measurement in order to allow for an exchange of information between layers.

'Performance' is mentioned a few more times in the document, with no reference to performance metrics. For example in section 3.3 there is talk about 'adequate performance to VM applications'.  It is not clear what this exactly means - what are the metrics for measuring performance of VM applications and how are they determined as 'adequate' (or not).

Clarifying these issues would be very useful IMO, because the overall functionality of the overlays networks depends among other on the sufficient allocation of resources in the underlays. The metrics and methods of measuring performance need to be clearly articulated for this purpose.

Regards,

Dan

---

From: "LASSERRE, MARC (MARC)" <[email-masked]>
Date: Fri, 30 May 2014 08:20:42 +0000

Hi Dan,

Thanks for your feedback.
See my comments below.

Marc

________________________________
From: nvo3 [mailto:[email-masked]] On Behalf Of Romascanu, Dan (Dan)
Sent: Wednesday, May 28, 2014 2:56 PM
To: [email-masked]
Cc: Benoit Claise; [email-masked]
Subject: [nvo3] PM-DIR Review for draft-ietf-nvo3-framework-06.txt

Performance metrics are mentioned in one place in the document, in section 5.2.6 which deals with the interaction between overlays and underlays and the need to exchange information about performance in order to ensure that the overlays requirements can be met by the underlay paths. The metrics that are mentioned as examples belong to the IP metrics category (throughput, delay, loss, jitter). Mentioning the IPPM framework and even the relevant RFCs would have helped, especially as there is a need for standard and stable definitions and methods of measurement in order to allow for an exchange of information between layers.
Agreed. I suggest adding a reference to RFC2330 in the last sentence of section 4.2.6:

 "such as defined in [RFC2330]."

Would "the expected Quality of Service" instead of "adequate performance" be acceptable?

A further reference to RFC6390 could also be provided.

In the other instances, the word 'performance"  is used in its general meaning.

Regards,

Dan

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Fri, 30 May 2014 10:29:17 +0000

Hi,

Thank you for the response and for addressing my comments.

See in-line.

Regards,

Dan

From: LASSERRE, MARC (MARC) [mailto:[email-masked]]
Sent: Friday, May 30, 2014 11:21 AM
To: Romascanu, Dan (Dan); [email-masked]
Cc: Benoit Claise; [email-masked]
Subject: RE: PM-DIR Review for draft-ietf-nvo3-framework-06.txt

Hi Dan,

Marc

________________________________
From: nvo3 [mailto:[email-masked]] On Behalf Of Romascanu, Dan (Dan)
Sent: Wednesday, May 28, 2014 2:56 PM
To: [email-masked]<mailto:[email-masked]>
Cc: Benoit Claise; [email-masked]<mailto:[email-masked]>
Subject: [nvo3] PM-DIR Review for draft-ietf-nvo3-framework-06.txt
This is the PM-DIR review for draft-ietf-nvo3-framework-06.txt. I am the assigned PM-DIR reviewer for this I-D. This review refers only to performance metrics aspects

Yes, this is useful.

QoS is better than performance. The reference to 6390 is not necessary IMO, but maybe it would help to clarify that 'adequate QoS' means in the context of services measuring the performance parameters and making sure that they are within the limits defined by the SLA specific to the service.

Regards,

Dan